> For the complete documentation index, see [llms.txt](https://docs.v2.pod.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.v2.pod.network/guides-references/guides/read-market-data.md).

# Read market data

Pod's full node includes a built-in indexer that exposes live and historical market data via the `ob_` JSON-RPC endpoints. No external indexer is needed.

## List available markets

```javascript
const markets = await provider.send("ob_getMarkets", []);
// Returns: [{ id, name, base_token_symbol, quote_token_symbol, last_clearing_price, volume_24h, ... }]
```

## Get orderbook snapshot

```javascript
const orderbookId = "0x0000000000000000000000000000000000000000000000000000000000000001"; // NVDAx-USD spot
const depth = 20; // price levels per side

const snapshot = await provider.send("ob_getOrderbook", [orderbookId, depth]);
// Returns: { buys: { price: { volume, minimum_expiry } }, sells: { ... }, timestamp }
```

## Get OHLCV candles

```javascript
const candles = await provider.send("ob_getCandles", [
  orderbookId,
  startTimestamp,  // microseconds
  endTimestamp,    // microseconds
  interval,        // candle interval
]);
```

## Get order history

```javascript
const orders = await provider.send("ob_getOrders", [
  walletAddress,
  { clob_ids: [orderbookId] },
]);
// Returns: [{ hash, side, status, price, remainingBase, filledBase, filledQuote, ... }]
```

## Get positions

```javascript
const positions = await provider.send("ob_getPositions", [walletAddress]);
```

See the [JSON-RPC reference](/guides-references/references/json-rpc.md) for the full `ob_` API specification.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.v2.pod.network/guides-references/guides/read-market-data.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
